## GESSource GESSource — Base Class for single-media sources |

## Synopsis

    #include <ges/ges.h>

                        GESSource;
                        GESSourceClass;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESTrackElement
                         +----GESSource
                               +----GESAudioSource
                               +----GESVideoSource

## Implemented Interfaces

GESSource implements GESExtractable and GESMetaContainer.

## Description

## Details

### GESSource

    typedef struct _GESSource GESSource;

Base class for single-media sources

### GESSourceClass

    typedef struct {
    } GESSourceClass;